# Module edoc_doclet

Standard doclet module for EDoc.

Copyright © 2003 Richard Carlsson

- Description
- Function Index
- Function Details

Authors: Richard Carlsson (`richardc@csd.uu.se`).

See also: edoc.

## Description

Standard doclet module for EDoc.

## Function Index

run/2 | Main doclet entry point.

## Function Details

### run/2

`run(Cmd, Ctxt) -> term()`

Main doclet entry point. See the file `edoc_doclet.hrl` for the data structures used for passing parameters.

Also see `edoc:layout/2` for layout-related options, and `edoc:get_doc/2` for options related to reading source files.

Options:

`{file_suffix, string()}`
  Specifies the suffix used for output files. The default value is `".html"`.
`{hidden, bool()}`
  If the value is `true`, documentation of hidden modules and functions will also be included. The default value is `false`.
`{overview, edoc:filename()}`
  Specifies the name of the overview-file. By default, this doclet looks for a file `"overview.edoc"` in the target directory.
`{private, bool()}`
  If the value is `true`, documentation of private modules and functions will also be included. The default value is `false`.
`{stylesheet, string()}`
  Specifies the URI used for referencing the stylesheet. The default value is `"stylesheet.css"`. If an empty string is specified, no stylesheet reference will be generated.
`{stylesheet_file, edoc:filename()}`
  Specifies the name of the stylesheet file. By default, this doclet uses the file `"stylesheet.css"` in the `priv` subdirectory of the EDoc installation directory. The named file will be copied to the target directory.
`{title, string()}`
  Specifies the title of the overview-page.